#include <bits/stdc++.h>
using namespace std;
string s;
long long n,i,j,l,r,d;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	 cin >>s;
     cin >>n;
     d=1;
     for (i=1; i<=n; i++) {cin >>l >>r;
     r--;
     for (j=l; j<=r; j++) {
         if (s[j]<s[j-1]) {d++;}
     }
     cout <<d<<endl;
     d=1;
     }
}
